Scamp und Ubuntu (14.04)

Linux (Theli bezogen), Theli, GUI und Hilfsprogramme.
Forumsregeln
Bitte die Beiträge kurz fassen, so kann man sie nachher besser finden. Sollte ein Problem gelöst sein, dann einen neuen Beitrag eröffnen. Ebenso wenn die Ursache eine ganz andere ist, oder es Offtopic wird.

Scamp und Ubuntu (14.04)

Beitragvon selste » Mittwoch 27. August 2014, 14:01

Hallo,
die aktuelle scamp Binary (2.0.4) funktioniert mit Ubuntu 14.04 nicht mehr, weil sich in der Bibliothek libplplot ein paar Sachen geändert haben beim Wechsel von Version 11 auf 12.

Das Übersetzen von scamp ist net schwierig, eine kleine Falle gibt es aber (wird so verm. auch die Debianer treffen) ... deshalb eine Kurzanleitung.

Notwendige Ubuntu-Pakete:
- libplplot-dev
- libatlas-dev, libblas-dev und liblapack-dev
... da werden natürlich noch eine Reihe abhängiger Pakete mit installiert!

Zunächst den 'cdsclient' übersetzen und installieren - da ist nix weiter zu beachten, bei Bedarf ein Installationsverzeichnis setzen ... hab ich bei der Voreinstellung '/usr/local' belassen.
Dann geht es an scamp - da sind 'configure' zwei Parameter mitzugeben:

Code: Alles auswählen
./configure --with-atlas-incdir=/usr/include/atlas --with-atlas-libdir=/usr/lib/atlas-base

- sonst wird das Fehlen von 'clapack.h' angemosert, was auch prompt zu Fehlern beim Übersetzen führt.

Als weiterer Parameter kann noch
Code: Alles auswählen
--enable-threads

angegeben werden - das führt allerdings zu einer Warnung, dass 'CBLAS/LAPack' ohne Multithreading-Support übersetzt wurde ... Übersetzungsfehler treten aber keine auf.
Viel Erfolg,

Steffen
selste
 
Beiträge: 110
Registriert: Montag 19. März 2012, 18:39

Re: Scamp und Ubuntu (14.04)

Beitragvon mischa » Mittwoch 27. August 2014, 14:24

Hi Steffen,

vielen dank fuer die Anleitung, kann ich so bestaetigen. Um das Multithreading in Scamp voll auszunutzen, sollte man CBALS/Lapack selbst mit multi-threading kompilieren. Wer oft grosse Datensaetze durchnudelt, wird davon profitieren, aber zwingend ist es freilich nicht.

mischa
mischa
Moderator
 
Beiträge: 988
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: Scamp und Ubuntu (14.04)

Beitragvon fehlfarbe » Mittwoch 27. August 2014, 16:56

Hallo Steffen,

kann ich alles so mit Linux Mint 17 bestätigen. Bis auf die Stolperfalle mit der ATLAS Bibliothek gibt's eigentlich keine Probleme.

Grüße, Marcus
Benutzeravatar
fehlfarbe
 
Beiträge: 120
Registriert: Donnerstag 20. Oktober 2011, 22:24

Re: Scamp und Ubuntu (14.04)

Beitragvon selste » Freitag 29. August 2014, 19:32

Hallo zusammen,
vielen Dank für die Kommentare - hab bei einem Installationsversuch mit Debian schon mal dieses Problem gehabt ... und damit die Suche bei der nächsten Kiste nicht wieder von vorn losgeht
hab ich es halt einfach mal reingeschrieben :)
Gruß,

Steffen
selste
 
Beiträge: 110
Registriert: Montag 19. März 2012, 18:39

Re: Scamp und Ubuntu (14.04)

Beitragvon Soncebos » Sonntag 21. September 2014, 20:38

Hallo Forum,
ich häng mich hier mal rein, da mein Thema passt.
Ich habe meine Linux Version auf Ubuntu 14.04 LTS upgedated.
Theli core und Gui nach Anweisung installiert.
Theli läuft auch sofort.
DIe von mir vorgesehene Scamp Version 1.7 läuft nicht. SIe bricht ständig
mit Hinweis auf fehlende Dateien ab.
Also versuche ich die Aktuelle 2.0.4 zu Installieren.
Das gelang mir nach einiger Zeit und es scheint zu funktionieren.
Jetzt erzeugt Scamp keine Plots mehr die ich gerne zur Kontrolle
genutzt habe. Wie Überrede ich plplots dazu wieder png plots
zu erzeugen?
--
CS Jens
Soncebos
 
Beiträge: 18
Registriert: Mittwoch 4. Juli 2012, 22:30

Re: Scamp und Ubuntu (14.04)

Beitragvon mischa » Montag 22. September 2014, 10:24

Soncebos hat geschrieben:Jetzt erzeugt Scamp keine Plots mehr die ich gerne zur Kontrolle
genutzt habe. Wie Überrede ich plplots dazu wieder png plots
zu erzeugen?


Die plplot Bibliothek wird standardmaessig OHNE Unterstuetzung fuer PNG ausgeliefert. Da musst du Plplot neu compilieren und beim 'configure' die entsprechende Option mit angeben.

mischa
mischa
Moderator
 
Beiträge: 988
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: Scamp und Ubuntu (14.04)

Beitragvon Soncebos » Montag 22. September 2014, 17:01

Hallo Mischa,
danke für die schnelle Antwort.
Das die PNG Unterstützung nicht mehr in plplot integriert ist habe ich
auch schon gelesen. Allerdingt fehlt mir die Fähigkeit aus den
Anleitungen die richtigen Befehle abzuleiten. Gibt es hierzu
eine Anleitung für Dummies? Also auf Deutsch: Was sind die entsprechenden
Optionen für configure?
Muss ich anschließend Scamp auch neu compilieren?
--
CS Jens
Soncebos
 
Beiträge: 18
Registriert: Mittwoch 4. Juli 2012, 22:30

Re: Scamp und Ubuntu (14.04)

Beitragvon mischa » Dienstag 23. September 2014, 04:33

Soncebos hat geschrieben:Hallo Mischa,
danke für die schnelle Antwort.
Das die PNG Unterstützung nicht mehr in plplot integriert ist habe ich
auch schon gelesen. Allerdingt fehlt mir die Fähigkeit aus den
Anleitungen die richtigen Befehle abzuleiten. Gibt es hierzu
eine Anleitung für Dummies? Also auf Deutsch: Was sind die entsprechenden
Optionen für configure?
Muss ich anschließend Scamp auch neu compilieren?


Das uebersetzen von plplot lass ich jetzt mal jemanden anders erklaeren. Du brauchst auf jeden fall die 'libcairo' Bibliothek dazu.
Scamp muss anschliessend nicht neu kompiliert werden.

mischa
mischa
Moderator
 
Beiträge: 988
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: Scamp und Ubuntu (14.04)

Beitragvon fehlfarbe » Mittwoch 24. September 2014, 12:59

Hallo Jens,

ich habe meinen Rechner auch erst neu aufsetzen müssen und hatte gerade Probleme, dass Theli bei der Astrometrie abbricht mit dem Fehler, dass keine Plots erzeugt werden können.

ich habe noch nachträglich die Pakete
Code: Alles auswählen
libplplot-dev libplplot12

installiert und dann Scamp mit
Code: Alles auswählen
./configure --enable-threads --with-atlas-incdir=/usr/include/atlas/ --with-atlas-libdir==/usr/lib/atlas && make && sudo make install

neu kompilliert.

Jetzt sind die normalen PNG Plots wieder da
Benutzeravatar
fehlfarbe
 
Beiträge: 120
Registriert: Donnerstag 20. Oktober 2011, 22:24

Re: Scamp und Ubuntu (14.04)

Beitragvon Sarasar » Mittwoch 1. Oktober 2014, 20:53

Hallo zusammen,
ich habe alles so gemacht, wie vorher beschrieben und dennoch bekomme ich ein reproduzierbaren Plotting-Fehler:

Code: Alles auswählen
Plotting Options:
< 1> xwin       X-Window (Xlib)
< 2> ps         PostScript File (monochrome)
< 3> psc        PostScript File (color)
< 4> xfig       Fig file
< 5> null       Null device
< 6> mem        User-supplied memory device
< 7> svg        Scalable Vector Graphics (SVG 1.1)

Enter device number or keyword:
Invalid device: ÿ
Plotting
*** PLPLOT ERROR, IMMEDIATE EXIT ***
plSelectDev: Too many tries.
Program aborted



In dem Plotting Ordner erscheint das fgroups.PNG
Ich habe Ubuntu 14.04 Theli GUI 2.95.
Ich habe alle Packages wie oben geschrieben installiert, Scamp kompiliert usw. Klappt soweit auch alles bis auf das die Astrometrik abbricht.Ich habe den Scamp.log mit angefügt. Was kann ich machen?

Gruß

Marcus


scamp.log
Du hast keine ausreichende Berechtigung, um die Dateianhänge dieses Beitrags anzusehen.
Sarasar
 
Beiträge: 46
Registriert: Mittwoch 16. November 2011, 15:05

Re: Scamp und Ubuntu (14.04)

Beitragvon bernd68 » Dienstag 2. Juni 2015, 19:04

Hallo Alle,

hab hier ein kleines How To, um Scamp 2.0.4 nach der theli-Installation selber zu bauen.
Einfach die Zeilen (nicht die # Kommentare) einzelnd mit [strg]+[c] kopieren und in einem Terminal mit [strg]+[shift]+[v] einfügen und [enter]
Wer sich über die letze Anweisung wundert oder sudo make install vermisst, der kann scamp gerne mit sudo make install installieren, muss das ausfühbare scamp
dann aber selber unterhalb von /usr/.. suchen und nach theli bringen. Ich hielt es so für einfacher, da scamp bei uns nur mit theli benutzt wird.

## Anleitung zur Kompilierung von scamp 2.0.4 unter Ubuntu 14.04 x86_64
# Theli sollte zuerst installiert werden.

# 1. via aptitude instalierbare Abhängigkeiten falls nicht schon mit theli installiert

sudo apt-get install libatlas-dev libatlas3-base libatlas3gf-base libatlas-base-dev
sudo apt-get install libfftw3-dev libfftw3-3 libfftw3-quad3 libfftw3-long3 libfftw3-double3 libfftw3-single3
sudo apt-get install libplplot12 libplplot-dev plplot12-driver-gd cl-plplot plplot12-driver-cairo
sudo apt-get install libblas3gf libblas-doc libblas-dev liblapack3gf liblapack-doc liblapack-dev

# 2. Anpassen von Atlas bzw plplot
# s. http://ubuntuforums.org/showthread.php?t=1505249

sudo cp /usr/include/atlas/clapack.h /usr/include/plplot

# 3. cdsclient herunterladen und installieren

cd
wget http://cdsarc.u-strasbg.fr/ftp/pub/sw/cdsclient.tar.gz
tar -xf cdsclient.tar.gz
cd cdsclient*
./configure
make
sudo make install

# 4. scamp herunterladen und installieren

cd
wget http://www.astromatic.net/download/scamp/scamp-2.0.4.tar.gz
tar -xf scamp-2.0.4.tar.gz
cd scamp-2.0.4
./configure --enable-threads
make -j
cp ./src/scamp ~/THELI/theli/bin/Linux_64/


# Das wars
# Viel Erfolg und Grüße, Bernd
bernd68
 
Beiträge: 13
Registriert: Freitag 21. September 2012, 15:29

Re: Scamp und Ubuntu (14.04)

Beitragvon mischa » Mittwoch 3. Juni 2015, 04:35

Hi Bernd,

hervorragend, herzlichen Dank fuer diese Anleitung!

mischa
mischa
Moderator
 
Beiträge: 988
Registriert: Freitag 7. Oktober 2011, 14:07
Wohnort: Chile

Re: Scamp und Ubuntu (14.04)

Beitragvon Soncebos » Mittwoch 11. Mai 2016, 20:19

Danke Bernd.

Perfekte Anleitung die mir den Tag gerettet hat.
--
CS Jens
Soncebos
 
Beiträge: 18
Registriert: Mittwoch 4. Juli 2012, 22:30


Zurück zu Installation und Ubuntheli

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 0 Gäste

cron